CheckstyleReports (Gradle API 9.0.0)
Description: declaration: package: org.gradle.api.plugins.quality, interface: CheckstyleReports

Package org.gradle.api.plugins.quality

# Interface CheckstyleReports

All Superinterfaces:
  `Collection<SingleFileReport>`, `Configurable<ReportContainer<SingleFileReport>>`, `DomainObjectCollection<SingleFileReport>`, `DomainObjectSet<SingleFileReport>`, `Iterable<SingleFileReport>`, `NamedDomainObjectCollection<SingleFileReport>`, `NamedDomainObjectSet<SingleFileReport>`, `ReportContainer<SingleFileReport>`, `Set<SingleFileReport>`

public interface CheckstyleReports extends ReportContainer<SingleFileReport>
The reporting configuration for the `Checkstyle` task.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

  `ReportContainer.ImmutableViolationException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomizableHtmlReport`
  `getHtml()`
  The checkstyle HTML report.
  `SingleFileReport`
  `getSarif()`
  The checkstyle SARIF report
  `SingleFileReport`
  `getXml()`
  The checkstyle XML report

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.util.Configurable

  `configure`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

  `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### getHtml

    @Internal CustomizableHtmlReport getHtml()
    The checkstyle HTML report.

    This report IS enabled by default.

    Enabling this report will also cause the XML report to be generated, as the HTML is derived from the XML.

    Returns:
      The checkstyle HTML report
    Since:
      2.10

  - ### getXml

    @Internal SingleFileReport getXml()
    The checkstyle XML report

    This report IS enabled by default.

    Returns:
      The checkstyle XML report

  - ### getSarif

    @Internal @Incubating SingleFileReport getSarif()
    The checkstyle SARIF report

    This report is NOT enabled by default.

    Returns:
      The checkstyle SARIF report
    Since:
      8.1